[package]
name = "algorithms"
version = "0.2.0"
edition = "2024"
license = "MIT"

[dependencies]

[dev-dependencies]
assert_hex = "0.4.1"
criterion = "0.3"
iai = "0.1.1"
pretty_assertions = "1.4.1"

[[bench]]
name = "crc32bench"
harness = false

[[bench]]
name = "crc32bench_iai"
harness = false

[features]
default = []
std = []
show_internals = ["std"]

[[bin]]
path = "src/bin/crc32sum.rs"
name = "crc32sum"
required-features = ["std"]

[[bin]]
path = "src/bin/sha256sum.rs"
name = "algsha256sum"
required-features = ["std"]
